Subject: bug#15784: 24.3.50; cc-mode bug reporting

From: Michael Welsh Duggan <[email-masked]>
Date: Sun, 10 Nov 2013 13:43:19 -0500

Alan Mackenzie <[email-masked]> writes:

> Hello, Glenn.
>
> On Wed, Nov 06, 2013 at 08:28:39PM +0000, Alan Mackenzie wrote:
>> On Sun, Nov 03, 2013 at 07:31:36PM -0500, Glenn Morris wrote:
>> > Alan Mackenzie wrote:
>
>> > >> It sends to [email-masked].  It might make sense to change this to
>> > >> send to the gnu debbugs list instead, with an appropriate cc-mode tag.
>
>> > If you change c-submit-bug-report to send mail to
>> > [email-masked], with an "X-Debbugs-Package: cc-mode" header,
>> > then all those reports will still end up on the bug-cc-mode list, not
>> > the bug-gnu-emacs list (ie, submit@debbugs will act like an alias for
>> > bug-cc-mode). But they will get entered into the tracker and get bug
>> > numbers. So this change would actually make it _less_ easier to lose
>> > cc-mode bugs.
>
>> The header "X-Debbugs-Package:" isn't mentioned in
>> .../admin/notes/bugtracker.  Can you point me at any documentation for
>> it?
>
>> > This is what Gnus does, for example, and they have the same XEmacs
>> > issues as you do. It seems to be working fine for them.
>
>> OK.  This would involve amending `reporter-submit-bug-report'.  I'll look
>> at this.
>
> `reporter-submit-bug-report' doesn't seem amenable to easy amendation.
> The function where the mail headers get inserted into the mail buffer is
> the result of "(get mail-user-agent 'composefunc)".  At this stage, we're
> deep inside the Emacs mail functionality.
>
> I don't think it's worthwhile making such a large change just to get
> debbugs error numbers onto CC Mode bug reports.  But if somebody else
> were to make this change, I'm sure CC Mode could use it.  Patches
> welcome.  ;-)

It seems easy enough.  It looks like just need to add 

        (save-excursion
          (or (mail-position-on-field "X-Debbugs-Package")
              (insert "cc-mode")))

To the lambda you are already passing as the last argument you pass to
`reporter-submit-bug-report' in `c-submit-bug-report'.

-- 
Michael Welsh Duggan
([email-masked])